Bug 980669 - preinstall scriptlet contains wrong username
preinstall scriptlet contains wrong username
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: uucp (Show other bugs)
19
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 22:02 EDT by Edgar Hoch
Modified: 2013-07-11 23:03 EDT (History)
3 users (show)

See Also:
Fixed In Version: uucp-1.07-38.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-11 23:03:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edgar Hoch 2013-07-02 22:02:57 EDT
Description of problem:
Preinstall scriptlet contains the lines

preinstall scriptlet (using /bin/sh):
getent group uucp >/dev/null || groupadd -g 14 -r uucp
getent passwd uucp >/dev/null || \
useradd -r -u 10 -g uucp -d /var/spool/uucp  \
-c "Uucp user" news
exit 0

The username "news" is wrong, it should be "uucp".

The effect is that the user "uucp" is not created.
This entail other errors when an existing user "uucp" is expected.


Version-Release number of selected component (if applicable):
uucp-1.07-37.fc19.x86_64

How reproducible:
Always.
Comment 1 Ondrej Vasik 2013-07-03 02:56:46 EDT
Thanks, bad, bad cut&paste ... sorry for that, I'll make an update for this soon.
Comment 4 Fedora Update System 2013-07-03 04:52:39 EDT
uucp-1.07-38.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/uucp-1.07-38.fc19
Comment 5 Fedora Update System 2013-07-03 20:53:54 EDT
Package uucp-1.07-38.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing uucp-1.07-38.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12249/uucp-1.07-38.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-07-11 23:03:00 EDT
uucp-1.07-38.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.